=== debian/changelog ===
ros-dashing-spatio-temporal-voxel-layer (2.0.2-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steve Macenski <stevenmacenski@gmail.com>  Wed, 18 Dec 2019 19:18:10 -0000
